Subject: bug#26006: [Website] Integral update proposal

From: Catonano <[email-masked]>
Date: Sat, 17 Jun 2017 09:16:53 +0200

2017-06-17 6:57 GMT+02:00 Catonano <[email-masked]>:

>
>
> 2017-06-16 16:46 GMT+02:00 sirgazil <[email-masked]>:
>
>>
>
> I'm fine with investigating the missing parts before or after moving to
>> guix-artwork.git.
>>
>
> For what it's worth, I vouch for moving all to gnu.org and possibly
> expressing the issues in the appropriate debbugs instance
>
> Then, I might be able to collaborate in sorting out some issues
>
> I never used Mercurial. I should learn from scratch.
>
> Also, I can't access the issues on bitbucket because the login doesn't
> work in Icecat (plus some nonsense about upgrading my account and coming
> mobile apps that require me some voodoo right now)
>
> So I can't see the issues at
> https://bitbucket.org/sirgazil/guixsd-website/
> issues?status=new&status=open
>
>
I managed to install mercurial, but I can't build it

[env]$ haunt build
Backtrace:
In ice-9/boot-9.scm:
  2986:16 19 (try-module-autoload _ _)
   2316:4 18 (save-module-excursion #<procedure 11b0d50 at ice-9/boo…>)
  3006:22 17 (_)
In unknown file:
          16 (primitive-load-path "apps/blog/utils" #<procedure 11d0…>)
In ice-9/eval.scm:
   721:20 15 (primitive-eval (define-module (apps blog utils) # (…) …))
In ice-9/psyntax.scm:
  1234:36 14 (expand-top-sequence ((define-module (apps blog #) # …)) …)
  1181:24 13 (parse _ (("placeholder" placeholder)) ((top) #(# # …)) …)
   284:10 12 (parse _ (("placeholder" placeholder)) (()) _ c&e (eval) …)
In ice-9/eval.scm:
   293:34 11 (_ #<module (#{ g66}#) 11c2d20>)
In ice-9/boot-9.scm:
   2866:4 10 (define-module* _ #:filename _ #:pure _ #:version _ # _ …)
  2879:24  9 (_)
   230:29  8 (map1 (((apps aux lists)) ((apps aux web)) ((haunt …)) …))
   230:29  7 (map1 (((apps aux web)) ((haunt post)) ((ice-9 #)) (#) …))
   230:29  6 (map1 (((haunt post)) ((ice-9 match)) ((srfi srfi-1)) …))
   230:29  5 (map1 (((ice-9 match)) ((srfi srfi-1)) ((srfi #)) (#) …))
   230:29  4 (map1 (((srfi srfi-1)) ((srfi srfi-19)) ((#)) ((# #)) #))
   230:29  3 (map1 (((srfi srfi-19)) ((syntax-highlight)) ((# #)) #))
   230:17  2 (map1 (((syntax-highlight)) ((syntax-highlight #)) (#)))
   2795:6  1 (resolve-interface _ #:select _ #:hide _ #:prefix _ # _ …)
In unknown file:
           0 (scm-error misc-error #f "~A ~S" ("no code for modu…" …) …)